Bug 467660 - virDomainLookupByUUIDString fail after virDomainDestroy
virDomainLookupByUUIDString fail after virDomainDestroy
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.1
ia64 Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 23:26 EDT by Chunyang Liu
Modified: 2009-12-16 07:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 07:31:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chunyang Liu 2008-10-19 23:26:40 EDT
Description of problem:

if i want to use virDomainLookupByUUIDString to get a domain object immediately after virDomainDestroy, it failed with message "internal error domain information incomplete, missing domid".

But if i wait for a while such as sleep(6) after virDomainDestroy, then virDomainLookupByUUIDString success.


Version-Release number of selected component (if applicable):


How reproducible:
just call virDomainLookupByUUIDString immediately after virDomainDestroy.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
virDomainLookupByUUIDString return NULL.

Expected results:
return a valid domain object.

Additional info:
Comment 1 Daniel Berrange 2009-10-29 12:48:06 EDT
This is probably a race condition in XenD in the way it cleans up domains. After destroying it, there is a short window in which information may still be visible. This is what's causing the error message from libvirt. I'm not sure we can fix this problem
Comment 2 Daniel Veillard 2009-12-16 07:31:05 EST
This is more than one year old now, and it's not a good idea to keep this
in the current state.

Closing as WONT FIX, as the complexity of the Xen stack here means
it's unlikely we could ever get something close to an atomic operation
unfortunately

Daniel

Note You need to log in before you can comment on or make changes to this bug.